# How to contribute

We appreciate third-party contributions.

To make a contribution, follow these steps:

1. Discuss your contribution with the WebPPL developers. You can:
    - Submit an issue
    - Describe your proposed changes by commenting on an existing issue related to your contribution
    - Email the [webppl-dev mailing list](https://groups.google.com/forum/#!forum/webppl-dev)
2. Fork, then clone the WebPPL repository.
3. [Install WebPPL from GitHub](http://docs.webppl.org/en/master/development/install.html).
4. Make sure all tests and style checks pass by running `grunt`.
5. Apply your changes, including tests.
6. Run `grunt` again to verify that tests and checks still pass. Run `grunt lint --fix --force` if style problems are discovered.
7. Push to your fork and submit a pull request.

For very minor contributions, e.g. to comments and documentation, you do not need to create a ticket. You can directly submit a pull request by editing the corresponding file on GitHub.
